# keyframeremove.cpp File Reference

Template File. More...

`#include "keyframeremove.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfig/valuenode_dynamiclist.h>`
`#include <synfig/valuenode_animated.h>`
`#include "activepointremove.h"`
`#include "waypointremove.h"`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::KeyframeRemove)
| ACTION_SET_NAME (Action::KeyframeRemove,"KeyframeRemove")
| ACTION_SET_LOCAL_NAME (Action::KeyframeRemove, N_("Remove Keyframe"))
| ACTION_SET_TASK (Action::KeyframeRemove,"remove")
| ACTION_SET_CATEGORY (Action::KeyframeRemove, Action::CATEGORY_KEYFRAME)
| ACTION_SET_PRIORITY (Action::KeyframeRemove, 0)
| ACTION_SET_VERSION (Action::KeyframeRemove,"0.0")
| ACTION_SET_CVS_ID (Action::KeyframeRemove,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::KeyframeRemove |  | ) |

ACTION_SET_NAME | ( | Action::KeyframeRemove | ,
|  | "KeyframeRemove" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::KeyframeRemove | ,
|  | N_("Remove Keyframe") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::KeyframeRemove | ,
|  | "remove" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::KeyframeRemove | ,
|  | Action::CATEGORY_KEYFRAME |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::KeyframeRemove | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::KeyframeRemove | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::KeyframeRemove | ,
|  | "$Id$" |  |
| ) |  |  |